Bug 25950: Remove <client> in X-Forwarded-For from proxy tests
[koha.git] / debian / scripts / koha-enable
blob67cbc8bf851203df83ad832fb8ff6460676a70ad
1 #!/bin/sh
3 # koha-enable -- enable a Koha instance.
4 # Copyright 2010 Catalyst IT, Ltd
5 #
6 # This program is free software: you can redistribute it and/or modify
7 # it under the terms of the GNU General Public License as published by
8 # the Free Software Foundation, either version 3 of the License, or
9 # (at your option) any later version.
11 # This program is distributed in the hope that it will be useful,
12 # but WITHOUT ANY WARRANTY; without even the implied warranty of
13 # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
14 # GNU General Public License for more details.
16 # You should have received a copy of the GNU General Public License
17 # along with this program. If not, see <http://www.gnu.org/licenses/>.
20 set -e
22 # include helper functions
23 if [ -f "/usr/share/koha/bin/koha-functions.sh" ]; then
24 . "/usr/share/koha/bin/koha-functions.sh"
25 else
26 echo "Error: /usr/share/koha/bin/koha-functions.sh not present." 1>&2
27 exit 1
30 enable_instance()
32 local instancename=$1
33 local instancefile="/etc/apache2/sites-available/$instancename.conf"
35 if ! is_enabled $instancename; then
36 sed -i 's:^\(\s*Include /etc/koha/apache-shared-disable.conf\)$:#\1:' \
37 "$instancefile"
38 return 0
39 else
40 return 1
44 usage()
46 local scriptname=$0
47 cat <<EOF
48 Enables Koha instances.
50 Usage: $scriptname instancename1 instancename2...
52 EOF
55 # Parse command line.
56 [ $# -ge 1 ] || ( usage ; die "Missing instance name..." )
58 restart_apache="no"
60 for name in "$@"
62 if is_instance $name ; then
63 if enable_instance $name; then
64 restart_apache="yes"
65 else
66 warn "Instance $name already enabled."
68 else
69 warn "Unknown instance $name."
71 done
73 if [ "$restart_apache" = "yes" ]; then
74 /etc/init.d/apache2 restart
77 exit 0